package Drawnings;

import java.awt.*;
import Entities.*;

public class DrawingPortholes {
    private CountPortholes _porthole;
    public int Count;

    public CountPortholes getCount()
    {
        return _porthole;
    }
    public void SetCount (int count) {
        Count = count;
        switch (Count) {
            case 10:
                _porthole = CountPortholes.Ten;
                break;
            case 20:
                _porthole = CountPortholes.Twenty;
                break;
            case 30:
                _porthole = CountPortholes.Thirty;
                break;
            default:
                _porthole = CountPortholes.Ten;
                break;
        }
    }

    public void Draw (Graphics2D g, int _startPosx, int _startPoxY) {
        g.setColor(Color.BLACK);
        if (_porthole == CountPortholes.Ten) {
            // цикл
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
            }
        }
        if (_porthole == CountPortholes.Twenty) {
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 15 + i*5, _startPoxY+26, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 15 + i*5, _startPoxY+26, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 70 + i*5, _startPoxY+26, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 70 + i*5, _startPoxY+26, 3, 3);
            }
        }
        if (_porthole == CountPortholes.Thirty){
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 19 + i*8, _startPoxY+21, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 15 + i*5, _startPoxY+26, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 15 + i*5, _startPoxY+26, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 70 + i*5, _startPoxY+26, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 70 + i*5, _startPoxY+26, 3, 3);
            }
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillOval(_startPosx + 19 + i*8, _startPoxY+31, 3, 3);
                g.setColor(Color.black);
                g.drawOval(_startPosx + 19 + i*8, _startPoxY+31, 3, 3);
            }
        }
    }
}